Package de.willuhn.jameica.hbci.accounts

# Interface AccountProvider

All Known Implementing Classes:
  `HBCIAccountProvider`

public interface AccountProvider
Interface fuer einen Account-Provider. Wird typischerweise einmal pro SynchronizeBackend implementiert.

## Method Summary

Modifier and Type
Method
Description
`void`
`create()`
Startet den Assistenten zur Erzeugung eines neuen Bankzugangs.
`de.willuhn.jameica.gui.parts.InfoPanel`
`getInfo()`
Liefert ein vorausgefuelltes Info-Panel fuer den Bankzugang.
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Provider.

## Method Details

### getName

String getName()
Liefert einen sprechenden Namen fuer den Provider.

Returns:
  sprechender Name fuer den Provider.

### getInfo

de.willuhn.jameica.gui.parts.InfoPanel getInfo()
Liefert ein vorausgefuelltes Info-Panel fuer den Bankzugang.

Returns:
  ein vorausgefuelltes Info-Panel fuer den Bankzugang.

### create

void create() throws de.willuhn.util.ApplicationException
Startet den Assistenten zur Erzeugung eines neuen Bankzugangs.

Throws:
  `de.willuhn.util.ApplicationException`